Subject: Re: bug#64575: 29.0.92; Help buffers are unnecessarily under Outline mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jul 2023 15:36:54 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 12 Jul 2023 09:35:03 +0300
> 
> > The *Help* buffer is still under Outline minor mode, although it now
> > makes no sense, since there are no heading lines in the buffer.
> 
> But it has no adverse effect.

It isn't a catastrophe, but there are some negative effects.  For
example, it puts the Outline menu on the menu bar, but most of the
items there will either do nothing or signal an error.

It is also confusing to see "Outl" on the mode line of the Help
buffers, but only in some cases and not in others.  It means whatever
features that could be useful to Help are only sometimes available.

> OTOH, when some Help command
> will insert a heading line, then it will be handled automatically.
> For example, 'C-h m' (describe-mode) could take advantage of
> outline-minor-mode with heading lines for every displayed minor mode.

If some Help feature can benefit from outline-minor-mode, it should
turn that mode on by itself, not rely on that being set already by
some other code.

> > The actual functions you use in "C-h f" don't matter; the point is
> > that the Outline minor mode, once set by "C-h b", stays turned on in
> > the *Help* buffers, instead of being reset when not needed.
> 
> If you still think it should be disabled everywhere outside of 'C-h b',
> this could be fixed by such patch:

Thanks, I think this should be installed on master (assuming that it
solves the problem; I didn't have time to try it).